impala-reviews mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Tim Armstrong (Code Review)" <ger...@cloudera.org>
Subject [Impala-ASF-CR] IMPALA-4277: allow overriding of Hive/Hadoop versions/locations
Date Mon, 17 Oct 2016 20:26:28 GMT
Tim Armstrong has posted comments on this change.

Change subject: IMPALA-4277: allow overriding of Hive/Hadoop versions/locations
......................................................................


Patch Set 1:

(2 comments)

http://gerrit.cloudera.org:8080/#/c/4720/1/bin/impala-config.sh
File bin/impala-config.sh:

Line 305: export IMPALA_LLAMA_MINIKDC_VERSION=${IMPALA_LLAMA_MINIKDC_VERSION:-1.0.0}
> This is actually separate from Llama - a test utility we stole from an old 
I'm also going to post a separate patch to remove Llama (needed to do some testing there to
make sure it didn't break anything).


PS1, Line 341: $HADOOP_HOME/bin
> If HADOOP_INCLUDE_DIR and HADOOP_LIB_DIR point to a different path than HAD
I think if they were set to incompatible versions it might cause a problem since we'd be building
against the wrong version of Hadoop (e.g Hadoop 2 API versus Hadoop 3 API). I think it's reasonable
to assume that it won't be set up to point to incompatible versions.


-- 
To view, visit http://gerrit.cloudera.org:8080/4720
To unsubscribe, visit http://gerrit.cloudera.org:8080/settings

Gerrit-MessageType: comment
Gerrit-Change-Id: I7da10e38f9c4309f2d193dc25f14a6ea308c9639
Gerrit-PatchSet: 1
Gerrit-Project: Impala-ASF
Gerrit-Branch: master
Gerrit-Owner: Tim Armstrong <tarmstrong@cloudera.com>
Gerrit-Reviewer: Charlie Helin <chelin@cloudera.com>
Gerrit-Reviewer: Sailesh Mukil <sailesh@cloudera.com>
Gerrit-Reviewer: Tim Armstrong <tarmstrong@cloudera.com>
Gerrit-HasComments: Yes

Mime
View raw message